# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   test60
# FileName:      conftest.py
# Author:       lao_zhao
# Datetime:     2024/5/20 16:10
# Description:
# 
# ---------------------------------------------------------------------------
import pytest
from InterfaceAutoTest第三版 import log_decorator
from InterfaceAutoTest第三版.common.db import DB
from InterfaceAutoTest第三版.requests_method.requsts_method import RequestsMethod


@log_decorator
@pytest.fixture(scope="session")
def req_fix():
    """创建RequestsMethod对象，并返回"""
    req = RequestsMethod()
    yield req


@log_decorator
@pytest.fixture(scope="session")
def db_fix():
    """创建DB对象，并返回"""
    db = DB()
    yield db
    db.close()

